A WordPress-centric search engine for devs and theme authors



find_core_update ›

Sincen/a
Deprecatedn/a
find_core_update ( $version, $locale )
Parameters: (2)
  • (string) $version
    Required: Yes
  • (string) $locale
    Required: Yes
Returns:
  • (object|false)
Defined at:
Codex:

No description yet.



Source

function find_core_update( $version, $locale ) {
	$from_api = get_site_transient( 'update_core' );

	if ( ! isset( $from_api->updates ) || ! is_array( $from_api->updates ) ) {
		return false;
	}

	$updates = $from_api->updates;
	foreach ( $updates as $update ) {
		if ( $update->current == $version && $update->locale == $locale ) {
			return $update;
		}
	}
	return false;
}